# $Revision: 1.10 $, $Date: 2010/06/06 08:41:09 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PerlIO
%define		pnam	eol
Summary:	PerlIO::eol - PerlIO layer for normalizing line endings
Summary(pl.UTF-8):	PerlIO::eol - warstwa PerlIO do normalizacji końców wierszy
Name:		perl-PerlIO-eol
Version:	0.14
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PerlIO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55c5d3fafab00a511ff1c2722060235c
URL:		http://search.cpan.org/dist/PerlIO-eol/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PerlIO::eol Perl module normalizes any of "CR", "LF", "CRLF" and
"Native" into the designated line ending. It works for both input and
output handles.

%description -l pl.UTF-8
Moduł Perla PerlIO::eol służy do normalizacji dowolnych spośród
następujących zakończeń wierszy: "CR", "LF", "CRLF" do zadanej
postaci. Działa zarówno dla plików wejściowych, jak i dla wyjściowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/PerlIO/eol.pm
%dir %{perl_vendorarch}/auto/PerlIO/eol
%{perl_vendorarch}/auto/PerlIO/eol/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/PerlIO/eol/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlIO-eol.spec,v $
Revision 1.10  2010/06/06 08:41:09  arekm
- release 4

Revision 1.9  2008/03/02 18:10:14  radek
- release 3

Revision 1.8  2008-02-10 12:17:39  arekm
- rel 2

Revision 1.7  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-12-24 19:57:25  qboosh
- generic URL

Revision 1.5  2007-12-24 03:06:07  zbyniu
- up to 0.14

Revision 1.4  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.2  2004/12/02 09:34:23  ankry
- summary/desc., kill bogus changelog, rel. 2

Revision 1.1  2004/12/02 08:39:38  ankry
- new
